Bug 243019 - Review Request: perl-IO-Compress-Zlib - IO::Compress interface to zip and gzip data
Review Request: perl-IO-Compress-Zlib - IO::Compress interface to zip and gzi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 18:01 EDT by Robin Norwood
Modified: 2015-03-31 22:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-28 23:17:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2007-06-06 18:01:50 EDT
Spec URL: http://people.redhat.com/rnorwood/rpms/Compression/perl-IO-Compress-Zlib.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/Compression/perl-IO-Compress-Zlib-2.004-1.src.rpm
Description: This package is part of a set of compression related perl packages.  They are brought in as dependencies for the new perl-Compress-Zlib (2.004).  There are several other related packages, and I'll include all of the relevant bugzillae when I've filed requests for all of them.
Comment 1 Robin Norwood 2007-06-06 18:10:50 EDT
There are 5 compression-related packages needed for a new Compress::Zlib
(2.004), including this one.  Here are the bugzilla URLs for them:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228537 - perl-IO-Compress-Base
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243010 -
perl-Compress-Raw-Bzip2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243012 - perl-Compress-Raw-Zlib
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243016 - perl-IO-Compress-Bzip2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243019 - perl-IO-Compress-Zlib

Comment 2 Robin Norwood 2007-06-12 14:16:22 EDT
Oh, and the review might get done faster if I remember to actually set the flag.
Comment 3 Jason Tibbitts 2007-06-12 16:01:28 EDT
Actually the flag should be empty until someone starts reviewing it.  I would
have done this earlier but the dependencies weren't in (and indeed they still
haven't arrived at my local mirror).
Comment 4 Robin Norwood 2007-06-12 16:49:00 EDT
oooh, ok, my mistake.  I glanced at the bug and saw that it hadn't been reviewed
yet and assumed it needed a flagin'.  Thanks.
Comment 5 Jason Tibbitts 2007-06-15 14:15:04 EDT
I tried enabling all of the tests by setting COMPRESS_ZLIB_RUN_ALL, but that
results in additional build dependencies and eventually you find that you need
Compress:Zlib 2.0 or greater, which kind of results in a recursion error.  I
guess that if you really wanted to run ALL of the tests, you could get
everything updated and then come back to this package and turn them on.

rpmlint has only one complaint:
   W: perl-IO-Compress-Zlib mixed-use-of-spaces-and-tabs (spaces: line 1, tab: 
      line 16)
I've never really cared about these; fix it if you like.

* source files match upstream:
   118d06d9c0c528aff68da9f92d64fdb4bdb0f880e37c9887f624a1a1b7c0d82d  
   IO-Compress-Zlib-2.004.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint output is OK.
* final provides and requires are sane:
   perl(IO::Compress::Adapter::Deflate) = 2.004
   perl(IO::Compress::Adapter::Identity) = 2.004
   perl(IO::Compress::Deflate) = 2.004
   perl(IO::Compress::Gzip) = 2.004
   perl(IO::Compress::Gzip::Constants) = 2.004
   perl(IO::Compress::RawDeflate) = 2.004
   perl(IO::Compress::Zip) = 2.004
   perl(IO::Compress::Zip::Constants) = 2.004
   perl(IO::Compress::Zlib::Constants) = 2.004
   perl(IO::Compress::Zlib::Extra) = 2.004
   perl(IO::Uncompress::Adapter::Identity) = 2.004
   perl(IO::Uncompress::Adapter::Inflate) = 2.004
   perl(IO::Uncompress::AnyInflate) = 2.004
   perl(IO::Uncompress::Gunzip) = 2.004
   perl(IO::Uncompress::Inflate) = 2.004
   perl(IO::Uncompress::RawInflate) = 2.004
   perl(IO::Uncompress::Unzip) = 2.004
   perl-IO-Compress-Zlib = 2.004-1.fc8
  =
   perl >= 0:5.004
   perl(:MODULE_COMPAT_5.8.8)
   perl(Compress::Raw::Zlib) >= 2.004
   perl(Exporter)
   perl(IO::Compress::Adapter::Deflate) >= 2.004
   perl(IO::Compress::Adapter::Identity) >= 2.004
   perl(IO::Compress::Base) >= 2.004
   perl(IO::Compress::Base::Common) >= 2.004
   perl(IO::Compress::Gzip::Constants) >= 2.004
   perl(IO::Compress::RawDeflate) >= 2.004
   perl(IO::Compress::Zip::Constants) >= 2.004
   perl(IO::Compress::Zlib::Constants) >= 2.004
   perl(IO::Compress::Zlib::Extra) >= 2.004
   perl(IO::Seekable)
   perl(IO::Uncompress::Adapter::Identity) >= 2.004
   perl(IO::Uncompress::Adapter::Inflate) >= 2.004
   perl(IO::Uncompress::Base) >= 2.004
   perl(IO::Uncompress::Gunzip) >= 2.004
   perl(IO::Uncompress::Inflate) >= 2.004
   perl(IO::Uncompress::RawInflate) >= 2.004
   perl(IO::Uncompress::Unzip) >= 2.004
   perl(Time::Local)
   perl(bytes)
   perl(constant)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful, 2 tests and 8 subtests skipped.
   Files=60, Tests=38644, 53 wallclock secs (30.66 cusr +  3.36 csys = 34.02 CPU)
   The skipped tests:
      t/020isize......................skipped
        all skipped: Lengthy Tests Disabled
        (These would require Compress::Zlib 2 to run anyway)
      t/105oneshot-deflate............ok
        2/970 skipped: readonly + threads
      t/105oneshot-gzip...............ok
        2/970 skipped: readonly + threads
      t/105oneshot-rawdeflate.........ok
        2/970 skipped: readonly + threads
      t/105oneshot-zip................ok
        2/970 skipped: readonly + threads
      t/109merge-zip..................skipped
        all skipped: not implemented yet
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 6 Robin Norwood 2007-06-27 17:46:48 EDT
New Package CVS Request
=======================
Package Name: perl-IO-Compress-Zlib
Short Description: IO::Compress interface to zip and gzip data
Owners: rnorwood@redhat.com
Branches: devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 7 Kevin Fenzi 2007-06-28 15:34:14 EDT
cvs done.
Comment 8 Robin Norwood 2007-06-28 23:17:40 EDT
and built perl-IO-Compress-Zlib-2.004-1.fc8
Comment 9 Paul Howarth 2015-03-13 13:22:38 EDT
Package Change Request
======================
Package Name: perl-IO-Compress-Zlib
New Branches: el5
Owners: pghmcfc
InitialCC: perl-sig

This is needed for OpenDMARC (Bug #905304) in EPEL-5. It was retired from Fedora around Fedora 9 time when it got obsoleted by perl-IO-Compress (which I am one of the Fedora maintainers of), but a perl-IO-Compress package would conflict with existing packages in EL-5, hence the request for this old one. I intend to import and build version 2.005, to match the vintage of the existing EPEL-5 perl-IO-Compress-Bzip2 package.
Comment 10 Jon Ciesla 2015-03-13 14:48:08 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2015-03-13 15:14:46 EDT
perl-IO-Compress-Zlib-2.005-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-IO-Compress-Zlib-2.005-2.el5
Comment 12 Fedora Update System 2015-03-31 22:02:10 EDT
perl-IO-Compress-Zlib-2.005-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.